Package: geb.content

## [Groovy] Class PageContentTemplateFactoryDelegate

- geb.content.PageContentTemplateFactoryDelegate

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static def` | `DISALLOWED_MODULE_PARAMS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PageContentTemplateFactoryDelegate (PageContentTemplate template, Object[] args)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Navigator` | `$()`
    `Navigator` | `$(int index)`
    `Navigator` | `$(Range<Integer> range)`
    `Navigator` | `$(String selector)`
    `Navigator` | `$(String selector, int index)`
    `Navigator` | `$(String selector, Range<Integer> range)`
    `Navigator` | `$(Map<String, Object> attributes)`
    `Navigator` | `$(Map<String, Object> attributes, int index)`
    `Navigator` | `$(Map<String, Object> attributes, Range<Integer> range)`
    `Navigator` | `$(Map<String, Object> attributes, String selector)`
    `Navigator` | `$(Map<String, Object> attributes, String selector, int index)`
    `Navigator` | `$(Map<String, Object> attributes, String selector, Range<Integer> range)`
    `Navigator` | `$(Map<String, Object> attributes, By bySelector)`
    `Navigator` | `$(Map<String, Object> attributes, By bySelector, int index)`
    `Navigator` | `$(Map<String, Object> attributes, By bySelector, Range<Integer> range)`
    `Navigator` | `$(By bySelector)`
    `Navigator` | `$(By bySelector, int index)`
    `Navigator` | `$(By bySelector, Range<Integer> range)`
    `Navigator` | `$(Navigator[] navigators)`
    `Navigator` | `$(WebElement[] elements)`
    `def` | `methodMissing(String name, def args)`
    `def` | `module(Map params, Class<? extends Module> moduleClass)`
    `def` | `module(Class<? extends Module> moduleClass, def container)`
    `def` | `module(Map params, Class<? extends Module> moduleClass, Navigator base)`
    `def` | `moduleList(Map params, Class moduleClass, Navigator navigator)`
    `def` | `moduleList(Class moduleClass, Navigator navigator)`
    `def` | `moduleList(Map params, Class moduleClass, Navigator navigator, def index)`
    `def` | `moduleList(Class moduleClass, Navigator navigator, def index)`
    `def` | `propertyMissing(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final def DISALLOWED_MODULE_PARAMS

  - ### Constructor Detail

    - #### PageContentTemplateFactoryDelegate(PageContentTemplate template, Object[] args)

  - ### Method Detail

    - #### Navigator $()

    - #### Navigator $(int index)

    - #### Navigator $(Range<Integer> range)

    - #### Navigator $(String selector)

    - #### Navigator $(String selector, int index)

    - #### Navigator $(String selector, Range<Integer> range)

    - #### Navigator $(Map<String, Object> attributes)

    - #### Navigator $(Map<String, Object> attributes, int index)

    - #### Navigator $(Map<String, Object> attributes, Range<Integer> range)

    - #### Navigator $(Map<String, Object> attributes, String selector)

    - #### Navigator $(Map<String, Object> attributes, String selector, int index)

    - #### Navigator $(Map<String, Object> attributes, String selector, Range<Integer> range)

    - #### Navigator $(Map<String, Object> attributes, By bySelector)

    - #### Navigator $(Map<String, Object> attributes, By bySelector, int index)

    - #### Navigator $(Map<String, Object> attributes, By bySelector, Range<Integer> range)

    - #### Navigator $(By bySelector)

    - #### Navigator $(By bySelector, int index)

    - #### Navigator $(By bySelector, Range<Integer> range)

    - #### Navigator $(Navigator[] navigators)

    - #### Navigator $(WebElement[] elements)

    - #### def methodMissing(String name, def args)

    - #### def module(Map params, Class<? extends Module> moduleClass)

    - #### def module(Class<? extends Module> moduleClass, def container)

    - #### def module(Map params, Class<? extends Module> moduleClass, Navigator base)

    - #### def moduleList(Map params, Class moduleClass, Navigator navigator)

    - #### def moduleList(Class moduleClass, Navigator navigator)

    - #### def moduleList(Map params, Class moduleClass, Navigator navigator, def index)

    - #### def moduleList(Class moduleClass, Navigator navigator, def index)

    - #### def propertyMissing(String name)